mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.Property | System.AttributeTargets.Event | System.AttributeTargets.Parameter | System.AttributeTargets.Delegate | System.AttributeTargets.All) System.Diagnostics.Conditional("CONTRACTS_FULL") Marks a method or type to indicate that it has no side effects.

Only methods marked Pure may be used within code contract definitions. This is to ensure that checking a contract causes no side-effects.

Methods within the System.Diagnostics.Contracts namespace are always considered to be pure. Some delegates are always considered to be pure, such as and .

- Constructor
  4.0.0.0
  Construct a PureAttribute.